import { ElementRef, Renderer2, OnInit, OnChanges, SimpleChanges, OnDestroy } from '@angular/core';
declare type HighlighStyle = 'shadow' | 'outline' | 'background' | 'none';
export declare type HighlightStyleConfig = {
    hover?: HighlighStyle;
    focus?: HighlighStyle;
    debounceTime?: number;
};
export declare class HighlightDirective implements OnInit, OnChanges, OnDestroy {
    private _renderer;
    private _el;
    highlightStyle: HighlightStyleConfig;
    private _ngUnsubscribe$;
    private _style;
    private _hovered$;
    private _isHovered;
    private _focused$;
    private _isFocused;
    constructor(_renderer: Renderer2, _el: ElementRef);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    ngOnDestroy(): void;
    private _updateStyleConfig;
    onMouseEnter(): void;
    onMouseLeave(): void;
    onFocusIn(): void;
    onFocusOut(): void;
    private _applyEffect;
    private _removeEffect;
}
export {};
